<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>OpticalCouplingConstructor Member List</h1>This is the complete list of members for <a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a541406feea8a23cc9515baf21b04b88f">applyVolumeCounter</a>(G4String &amp;physical_volume_name)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#af86e2afdf707a388a5f51b55a7bb062f">ConstructASensitiveDetector</a>()</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a6bdf0f88427afd5e58060337f7844a19">CoupleVolumes</a>(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#ac31e5fefa61ba9ae0d40655838f8816e">CoupleVolumes</a>(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a26d5fc89082a089e6999ebd183cd059a">CoupleVolumes</a>(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector sensitive_surface_normal_relative_to_base, G4ThreeVector sensitive_centre_position_relative_to_base)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#ac0abd52e2c795c8dc6bce3b303f85652">CoupleVolumes</a>(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector sensitive_surface_normal_relative_to_base, G4ThreeVector sensitive_centre_position_relative_to_base, G4bool constructSensitiveDetector)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#aaceee969c5d5fc7fc4aee4ade467b4de">OpticalCouplingConstructor</a>(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a105be2ddd0dd2bad2e99ca834f7798b0">SetCouplingCentrePositionRelativeToBaseVolume</a>(G4ThreeVector centre_position_relative_to_base)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a5c6a10a8a2d134051e57934bb9abbb4a">SetCouplingName</a>(G4String coupling_name)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a4dbc7d170c8bcbd86b732d1fb451d957">SetCouplingSurfaceNormalRelativeToBaseVolume</a>(G4ThreeVector surface_normal_relative_to_base)</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a2ff5784805750726343e166791ea978a">SetDefaults</a>()</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOpticalCouplingConstructor.html#a338d0da69f17de4e1d1ba5b16d46a1c5">~OpticalCouplingConstructor</a>()</td><td><a class="el" href="classOpticalCouplingConstructor.html">OpticalCouplingConstructor</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
